com.versionone.apiclient.interfaces

## Enum IAttributeDefinition.Aggregate

- java.lang.Object
- - java.lang.Enum<IAttributeDefinition.Aggregate>
  - - com.versionone.apiclient.interfaces.IAttributeDefinition.Aggregate

- All Implemented Interfaces:
    Serializable, Comparable<IAttributeDefinition.Aggregate>
  Enclosing interface:
    IAttributeDefinition

      public static enum IAttributeDefinition.Aggregate
      extends Enum<IAttributeDefinition.Aggregate>

  Supported aggregate types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `And`
    `Count`
    `Max`
    `Min`
    `Or`
    `Sum`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IAttributeDefinition.Aggregate` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IAttributeDefinition.Aggregate[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Sum

          public static final IAttributeDefinition.Aggregate Sum

    - #### Min

          public static final IAttributeDefinition.Aggregate Min

    - #### Max

          public static final IAttributeDefinition.Aggregate Max

    - #### Count

          public static final IAttributeDefinition.Aggregate Count

    - #### And

          public static final IAttributeDefinition.Aggregate And

    - #### Or

          public static final IAttributeDefinition.Aggregate Or

  - ### Method Detail

    - #### values

          public static IAttributeDefinition.Aggregate[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IAttributeDefinition.Aggregate c : IAttributeDefinition.Aggregate.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IAttributeDefinition.Aggregate valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 VersionOne, Inc.. All rights reserved.